Example #1
0
    //------------------------------------------------------------------------------
    //---------------------Block UI Styler Callback Functions--------------------------
    //------------------------------------------------------------------------------

    //------------------------------------------------------------------------------
    //Callback Name: initialize_cb
    //------------------------------------------------------------------------------
    public void initialize_cb()
    {
        try
        {
            group              = Snap.UI.Block.Group.GetBlock(theDialog, "group");
            selectCuprum       = Snap.UI.Block.SelectObject.GetBlock(theDialog, "selectCuprum");
            strElecName        = Snap.UI.Block.String.GetBlock(theDialog, "strElecName");
            stringExp          = Snap.UI.Block.String.GetBlock(theDialog, "stringExp");
            stringExp1         = Snap.UI.Block.String.GetBlock(theDialog, "stringExp1");
            strElecSize        = Snap.UI.Block.String.GetBlock(theDialog, "strElecSize");
            strElecCuttingSize = Snap.UI.Block.String.GetBlock(theDialog, "strElecCuttingSize");
            group1             = Snap.UI.Block.Group.GetBlock(theDialog, "group1");
            //scrolledWindow = (NXOpen.BlockStyler.ScrolledWindow)theDialog.TopBlock.FindBlock("scrolledWindow");
            txtFINISHNUMBER = Snap.UI.Block.Integer.GetBlock(theDialog, "txtFINISHNUMBER");
            txtMIDDLENUMBER = Snap.UI.Block.Integer.GetBlock(theDialog, "txtMIDDLENUMBER");
            txtROUGHNUMBER  = Snap.UI.Block.Integer.GetBlock(theDialog, "txtROUGHNUMBER");
            cboxMATNAME     = Snap.UI.Block.Enumeration.GetBlock(theDialog, "cboxMATNAME");
            cboxMMATNAME    = Snap.UI.Block.Enumeration.GetBlock(theDialog, "cboxMMATNAME");
            cboxRMATNAME    = Snap.UI.Block.Enumeration.GetBlock(theDialog, "cboxRMATNAME");
            cbbProdirection = Snap.UI.Block.Enumeration.GetBlock(theDialog, "cbbProdirection");
            cbbRockShape    = Snap.UI.Block.Enumeration.GetBlock(theDialog, "cbbRockShape");
            cbbShape        = Snap.UI.Block.Enumeration.GetBlock(theDialog, "cbbShape");
            //scrolledWindow1 = (NXOpen.BlockStyler.ScrolledWindow)theDialog.TopBlock.FindBlock("scrolledWindow1");
            txtFINISHSPACE = Snap.UI.Block.Double.GetBlock(theDialog, "txtFINISHSPACE");
            txtMIDDLESPACE = Snap.UI.Block.Double.GetBlock(theDialog, "txtMIDDLESPACE");
            txtROUGHSPACE  = Snap.UI.Block.Double.GetBlock(theDialog, "txtROUGHSPACE");
            cbbElecType    = Snap.UI.Block.Enumeration.GetBlock(theDialog, "cbbElecType");
            cbbRock        = Snap.UI.Block.Enumeration.GetBlock(theDialog, "cbbRock");
            //scrolledWindow11 = (NXOpen.BlockStyler.ScrolledWindow)theDialog.TopBlock.FindBlock("scrolledWindow11");
            cbbFSmoth    = Snap.UI.Block.Enumeration.GetBlock(theDialog, "cbbFSmoth");
            cbbMSmoth    = Snap.UI.Block.Enumeration.GetBlock(theDialog, "cbbMSmoth");
            cbbRSmoth    = Snap.UI.Block.Enumeration.GetBlock(theDialog, "cbbRSmoth");
            cbbChuckType = Snap.UI.Block.Enumeration.GetBlock(theDialog, "cbbChuckType");
            //CAPSET
            cbbCAPSET      = Snap.UI.Block.Enumeration.GetBlock(theDialog, "cbbCAPSET");
            groupSElec     = Snap.UI.Block.Group.GetBlock(theDialog, "groupSElec");                          // Block type: Group
            selectTopFace  = Snap.UI.Block.SelectObject.GetBlock(theDialog, "selectTopFace");                // Block type: Selection
            selectBaseFace = Snap.UI.Block.SelectObject.GetBlock(theDialog, "selectBaseFace");               // Block type: Selection
            //selectBaseFacePoint=Snap.UI.Block.SelectObject.GetBlock(theDialog, "selectBaseFacePoint");// Block type: Selection
            selectBaseFacePointEx = Snap.UI.Block.SpecifyPoint.GetBlock(theDialog, "selectBaseFacePointEx"); // Block type: Selection
        }
        catch (Exception ex)
        {
            //---- Enter your exception handling code here -----
            theUI.NXMessageBox.Show("Block Styler", NXMessageBox.DialogType.Error, ex.ToString());
        }
    }
Example #2
0
 //------------------------------------------------------------------------------
 //Callback Name: initialize_cb
 //------------------------------------------------------------------------------
 public void initialize_cb()
 {
     try
     {
         //tabControl = Snap.UI.Block.Group.GetBlock(theDialog,"tabControl");
         tabPage       = Snap.UI.Block.Group.GetBlock(theDialog, "tabPage");
         group5        = Snap.UI.Block.Group.GetBlock(theDialog, "group5");
         enum02        = Snap.UI.Block.Enumeration.GetBlock(theDialog, "enum02");
         group         = Snap.UI.Block.Group.GetBlock(theDialog, "group");
         bodySelect0   = Snap.UI.Block.SelectObject.GetBlock(theDialog, "bodySelect0");
         vector0       = Snap.UI.Block.SpecifyVector.GetBlock(theDialog, "vector0");
         group1        = Snap.UI.Block.Group.GetBlock(theDialog, "group1");
         enum0         = Snap.UI.Block.Enumeration.GetBlock(theDialog, "enum0");
         label01       = Snap.UI.Block.LabelBlock.GetBlock(theDialog, "label01");
         button0       = Snap.UI.Block.Button.GetBlock(theDialog, "button0");
         tabPage1      = Snap.UI.Block.Group.GetBlock(theDialog, "tabPage1");
         group2        = Snap.UI.Block.Group.GetBlock(theDialog, "group2");
         double0       = Snap.UI.Block.Double.GetBlock(theDialog, "double0");
         label0        = Snap.UI.Block.LabelBlock.GetBlock(theDialog, "label0");
         toggle0       = Snap.UI.Block.Toggle.GetBlock(theDialog, "toggle0");
         colorPicker0  = Snap.UI.Block.ColorPicker.GetBlock(theDialog, "colorPicker0");
         toggle01      = Snap.UI.Block.Toggle.GetBlock(theDialog, "toggle01");
         colorPicker01 = Snap.UI.Block.ColorPicker.GetBlock(theDialog, "colorPicker01");
         toggle02      = Snap.UI.Block.Toggle.GetBlock(theDialog, "toggle02");
         colorPicker02 = Snap.UI.Block.ColorPicker.GetBlock(theDialog, "colorPicker02");
         toggle03      = Snap.UI.Block.Toggle.GetBlock(theDialog, "toggle03");
         colorPicker03 = Snap.UI.Block.ColorPicker.GetBlock(theDialog, "colorPicker03");
         toggle04      = Snap.UI.Block.Toggle.GetBlock(theDialog, "toggle04");
         colorPicker04 = Snap.UI.Block.ColorPicker.GetBlock(theDialog, "colorPicker04");
         toggle05      = Snap.UI.Block.Toggle.GetBlock(theDialog, "toggle05");
         colorPicker05 = Snap.UI.Block.ColorPicker.GetBlock(theDialog, "colorPicker05");
         button01      = Snap.UI.Block.Button.GetBlock(theDialog, "button01");
         group4        = Snap.UI.Block.Group.GetBlock(theDialog, "group4");
         label02       = Snap.UI.Block.LabelBlock.GetBlock(theDialog, "label02");
         integer0      = Snap.UI.Block.Integer.GetBlock(theDialog, "integer0");
         label03       = Snap.UI.Block.LabelBlock.GetBlock(theDialog, "label03");
         integer01     = Snap.UI.Block.Integer.GetBlock(theDialog, "integer01");
         group3        = Snap.UI.Block.Group.GetBlock(theDialog, "group3");
         face_select0  = Snap.UI.Block.FaceCollector.GetBlock(theDialog, "face_select0");
         enum01        = Snap.UI.Block.Enumeration.GetBlock(theDialog, "enum01");
         button02      = Snap.UI.Block.Button.GetBlock(theDialog, "button02");
     }
     catch (Exception ex)
     {
         theUI.NXMessageBox.Show("Block Styler", NXMessageBox.DialogType.Error, ex.ToString());
     }
 }
Example #3
0
    //------------------------------------------------------------------------------
    //---------------------Block UI Styler Callback Functions--------------------------
    //------------------------------------------------------------------------------

    //------------------------------------------------------------------------------
    //Callback Name: initialize_cb
    //------------------------------------------------------------------------------
    public void initialize_cb()
    {
        try
        {
            selectCuprum = Snap.UI.Block.SelectObject.GetBlock(theDialog, "selectCuprum");
            selectSteel  = Snap.UI.Block.SelectObject.GetBlock(theDialog, "selectSteel");
            //txtDrfEndLayer
            txtDrfLayer     = Snap.UI.Block.Integer.GetBlock(theDialog, "txtDrfLayer");
            txtDrfEndLayer  = Snap.UI.Block.Integer.GetBlock(theDialog, "txtDrfEndLayer");
            selectTemplate0 = Snap.UI.Block.Enumeration.GetBlock(theDialog, "selectTemplate0");
        }
        catch (Exception ex)
        {
            //---- Enter your exception handling code here -----
            theUI.NXMessageBox.Show("Block Styler", NXMessageBox.DialogType.Error, ex.ToString());
        }
    }
Example #4
0
    //------------------------------------------------------------------------------
    //---------------------Block UI Styler Callback Functions--------------------------
    //------------------------------------------------------------------------------

    //------------------------------------------------------------------------------
    //Callback Name: initialize_cb
    //------------------------------------------------------------------------------
    public void initialize_cb()
    {
        try
        {
            group1                      = Snap.UI.Block.Group.GetBlock(theDialog, "group1");
            selectSteel                 = Snap.UI.Block.SelectObject.GetBlock(theDialog, "selectSteel");
            group                       = Snap.UI.Block.Group.GetBlock(theDialog, "group");
            sMODELNUMBER                = Snap.UI.Block.String.GetBlock(theDialog, "sMODELNUMBER");
            sMRNUMBER                   = Snap.UI.Block.String.GetBlock(theDialog, "sMRNUMBER");
            eMATERAL                    = Snap.UI.Block.Enumeration.GetBlock(theDialog, "eMATERAL");
            enumSelectedXX              = Snap.UI.Block.Enumeration.GetBlock(theDialog, "enumSelectedXX");
            enum0                       = Snap.UI.Block.Enumeration.GetBlock(theDialog, "enum0");
            coord_system0               = Snap.UI.Block.SpecifyCsys.GetBlock(theDialog, "coord_system0");
            toggleSInsert               = Snap.UI.Block.Toggle.GetBlock(theDialog, "toggleSInsert");
            selectionSInsert            = Snap.UI.Block.SelectObject.GetBlock(theDialog, "selectionSInsert");
            toggleIsDistinguishSideElec = Snap.UI.Block.Toggle.GetBlock(theDialog, "toggleIsDistinguishSideElec");
            // private Snap.UI.Block.Enumeration enumSInsert;// Block type: Enumeration
            // private Snap.UI.Block.Integer integerSInsertLayer;// Block type: Integer

            enumSInsert         = Snap.UI.Block.Enumeration.GetBlock(theDialog, "enumSInsert");
            integerSInsertLayer = Snap.UI.Block.Integer.GetBlock(theDialog, "integerSInsertLayer");

            //         private Snap.UI.Block.Group groupElec;// Block type: Group
            //private Snap.UI.Block.SelectObject selectElec;// Block type: Selection
            selectElec = Snap.UI.Block.SelectObject.GetBlock(theDialog, "selectElec");
            groupElec  = Snap.UI.Block.Group.GetBlock(theDialog, "groupElec");

            groupElecLayer        = Snap.UI.Block.Group.GetBlock(theDialog, "groupElecLayer");
            integerElecStartLayer = Snap.UI.Block.Integer.GetBlock(theDialog, "integerElecStartLayer");
            integerElecEndLayer   = Snap.UI.Block.Integer.GetBlock(theDialog, "integerElecEndLayer");
        }
        catch (Exception ex)
        {
            //---- Enter your exception handling code here -----
            theUI.NXMessageBox.Show("Block Styler", NXMessageBox.DialogType.Error, ex.ToString());
        }
    }